# http://scikit-learn.org/stable/auto_examples/linear_model/plot_sgd_comparison.html#sphx-glr-auto-examples-linear-model-plot-sgd-comparison-py

import numpy as np

from sklearn.linear_model import Perceptron, PassiveAggressiveClassifier
from sklearn.svm import LinearSVC
from compare import compare

max_iter = 5


if __name__ == '__main__':
    rng = np.random.RandomState(1)

    result = compare(
        classifiers=[
            ("Perceptron", Perceptron(max_iter=max_iter, random_state=rng)),
            ("Passive-Aggressive I", PassiveAggressiveClassifier(max_iter=max_iter, random_state=rng)),
            ("Linear SVC", LinearSVC(max_iter=max_iter, random_state=rng))
        ],
        rng=rng
    )

    print(result)
